<div class="d-flex w-100 h-100">
    <div class="page-container h-100 form-group mr-3">
        <span (click)="setFirstPage()" [ngClass]="Request.pageIndex == 1? 'inactive':''"><<</span>
        <span (click)="setPreviousPage()" [ngClass]="Request.pageIndex <= 1? 'inactive':''"><</span>
        <label class="w-100 mr-2">Página:</label>
        <select [(ngModel)]="Request.pageIndex" (ngModelChange)="emitRefresh()">
            <option *ngFor="let item of PagesArray " value="{{item}}">{{item}}</option>
        </select>
        <span (click)="setNextPage()" [ngClass]="Request.pageIndex >= Response.totalPages? 'inactive':''">></span>
        <span (click)="setLastPage()" [ngClass]="Request.pageIndex == Response.totalPages? 'inactive':''">>></span>
    </div>
    <div class="page-container w-100 h-100 form-group mr-3">
        <label class="w-100 mr-2">Items por página:</label>
        <select [(ngModel)]="Request.limit" (ngModelChange)="emitRefresh(true)">
            <option  value="5">5</option>
            <option  value="10">10</option>
            <option  value="20">20</option>
            <option  value="30">30</option>
            <option  value="40">40</option>
            <option  value="50">50</option>
        </select>
    </div>
</div>
